# MemBrain3.1
MemBrain3.1 is a tool for amphipathic helix prediction.

## Prerequisite
Download and Install
1. [SPIDER3](https://sparks-lab.org/server/spider3/)
2. [HHblits](https://github.com/soedinglab/hh-suite) and [Uniclust30 database](http://wwwuser.gwdg.de/~compbiol/uniclust/2020_02/).

Then, set the variables in the script "config.py".

## Usage
Please make sure that your sequence file is in fasta format (sequence in one line) and the file name ends with ".fasta". Then, open the 'example' directory and put your sequence file in the 'fasta' directory. If needed, you can copy the 'example' directory to any path, rename the directory to whatever you want, and put your sequence file in the 'fasta' directory. After that, simply run gen_fea.py with the following command to generate the features:
```
python gen_fea.py /path/to/example/directory/or/the/directory/you/make
```
Finally, run predict.py with the following command to get the prediction:
```
python predict.py /path/to/example/directory/or/the/directory/you/make
```
For the example provided, use the following commands to get the prediction:
```
python gen_fea.py ./example
python predict.py ./example
```
If you have multiple sequences to predict, simply put all the sequence files in the 'fasta' directory and run the commands above.

If you already have the features needed, there is no need to generate them. Please make sure that the spider3 file ends with '.spd33' and the HMM file ends with 'ohhm'. For example, if the name of your sequence file is 'example.fasta', then the names of your feature files should be 'example.spd33' and 'example.ohhm'.  Put the feature files in 'example/features/spd33' and 'example/features/HMM', respectively, and run predict.py.

## Output
The output files named \*.pred and *.pred_bin gives the prediction scores and the final prediction, respectively.  In *.pred_bin, '1' represents the corresponding residue belongs to an amphipathic helix.

## Reference
Shi-Hao Feng, Chun-Qiu Xia, Pei-Dong Zhang, and Hong-Bin Shen, Submitted, 2020. *Ab-initio* Membrane Protein Amphipathic Helix Structure Prediction Using Deep Neural Networks.

## Links
* [CSBIO Lab](http://www.csbio.sjtu.edu.cn/)