# -*- coding: UTF-8 -*-
import os
import argparse

from config import cfg

if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument('prot_path', type=str, help='prot_path')
    args = parser.parse_args()
    prot_path = args.prot_path

    SPD33_DIR = prot_path + '/features/spd33'
    HMM_DIR = prot_path + '/features/HMM'
    TEST_DIR = prot_path + '/fasta'
    TEST_LIST = os.listdir(TEST_DIR)
    TEST_LIST = list(filter(lambda in_str: in_str.endswith('.fasta'), TEST_LIST))

    for file in TEST_LIST:
        name = file[:file.find('.')]

        # calculate spider3 feature
        tmp_dir = SPD33_DIR + '/' + name
        os.system('mkdir ' + tmp_dir)
        os.system('cp ' + TEST_DIR + '/' + file + ' ' + tmp_dir + '/' + name + '.seq')

        os.system('cd ' + tmp_dir + ' && . ' + cfg.spider_env + ' && '
                  + cfg.spider_program + ' ./' + name + '.seq')

        spdlist = os.listdir(tmp_dir)
        spdlist = list(filter(lambda in_str: in_str.endswith('.spd33'), spdlist))

        os.system('mv ' + tmp_dir + '/' + spdlist[0] + ' '
                  + SPD33_DIR + '/' + name + '.spd33')
        os.system('rm -r ' + tmp_dir)

        # calculate HMM feature
        tmp_dir = HMM_DIR + '/' + name
        os.system('mkdir ' + tmp_dir)
        os.system('cp ' + TEST_DIR + '/' + file + ' ' + tmp_dir)

        comm = ('export HHLIB=' + cfg.hhlib + ' &&'
                + 'export PATH="$PATH:' + cfg.hhlib + '/bin:' + cfg.hhlib
                + '/scripts" && ' + cfg.hhlib + '/bin/hhblits -i '
                + tmp_dir + '/' + file + ' -n 3 -e 0.001 -d ' + cfg.database
                + ' -cpu 6 -ohhm ' + HMM_DIR + '/' + name + '.ohhm -diff inf -id 99 -cov 50')
        os.system(comm)
        os.system('rm -r ' + tmp_dir)
