# -*- coding: UTF-8 -*-
import os.path as osp
import numpy as np
from lib.utils.spd33_func import read_spd33, read_hhm


def feature_combine(fasta_dir, fasta_list, spd33_dir, hhm_dir):
    whole = []
    for file in fasta_list:
        namelen = file.find('.')
        name = file[0:namelen]

        with open(osp.join(fasta_dir, name) + '.fasta', 'r') as f:
            lines = f.readlines()[1:]
            lines_new = [line.strip() for line in lines]
            seq = ''.join(lines_new)

        hhm = read_hhm(osp.join(hhm_dir, name) + '.ohhm', seq)
        ASA, angles, HSEa, HCEprob = read_spd33(osp.join(spd33_dir, name) + '.spd33', seq)
        temp_feature = []
        temp_feature.append(HCEprob)
        temp_feature.append(hhm)

        feature = np.concatenate(temp_feature, 1)
        whole.append(feature)

    return whole
