# -*- coding: UTF-8 -*-
import numpy as np


def to_block(helix):
    helix_block = np.array([])
    if helix.shape[0] == 0:
        return np.array([])
    if helix.shape[0] == 1:
        return np.array([[helix[0], helix[0]]])

    sin_block = helix[0]
    for i in range(1, helix.shape[0]):
        if helix[i] == helix[i-1] + 1:
            if i == helix.shape[0] - 1:
                sin_block = np.append(sin_block, helix[i])
                if helix_block.shape[0] == 0:
                    helix_block = sin_block[np.newaxis, ...]
                else:
                    helix_block = np.concatenate([helix_block, sin_block[np.newaxis, ...]], axis=0)
            continue
        else:
            sin_block = np.append(sin_block, helix[i - 1])
            if helix_block.shape[0] == 0:
                helix_block = sin_block[np.newaxis, ...]
            else:
                helix_block = np.concatenate([helix_block, sin_block[np.newaxis, ...]], axis=0)
            sin_block = helix[i]
            if i == helix.shape[0] - 1:
                sin_block = np.append(sin_block, helix[i])
                if helix_block.shape[0] == 0:
                    helix_block = sin_block[np.newaxis, ...]
                else:
                    helix_block = np.concatenate([helix_block, sin_block[np.newaxis, ...]], axis=0)
    return helix_block
